mysqli::get_client_version
mysqli->protocol_version
MySQLi
PHP Manual

# mysqli->host_info

# mysqli_get_host_info

(PHP 5)

mysqli->host_info -- mysqli_get_host_info — Returns a string representing the type of connection used

### Description

Object oriented style (property):

mysqli
string $host_info;

Procdural style:

string mysqli_get_host_info ( mysqli `$link` )

The mysqli_get_host_info() function returns a string describing the connection represented by the `link` parameter is using (including the server host name).

### Parameters

`link`

  Procedural style only: A link identifier returned by mysqli_connect() or mysqli_init()

### Return Values

A character string representing the server hostname and the connection type.

### Examples

Example #1 Object oriented style

`<?php
$mysqli = new mysqli("localhost", "my_user", "my_password", "world");
/* check connection */
if (mysqli_connect_errno()) {
printf("Connect failed: %s\n", mysqli_connect_error());
exit();
}
/* print host information */
printf("Host info: %s\n", $mysqli->host_info);
/* close connection */
$mysqli->close();
?>`

Example #2 Procedural style

`<?php
$link = mysqli_connect("localhost", "my_user", "my_password", "world");
/* check connection */
if (mysqli_connect_errno()) {
printf("Connect failed: %s\n", mysqli_connect_error());
exit();
}
/* print host information */
printf("Host info: %s\n", mysqli_get_host_info($link));
/* close connection */
mysqli_close($link);
?>`

The above example will output:

    Host info: Localhost via UNIX socket

### See Also

- mysqli_get_proto_info()

mysqli::get_client_version
mysqli->protocol_version
MySQLi
PHP Manual